:root {
	/*Main colors for the style*/
	--radical-red: #ff3366ff;
	--dark-liver: #595358ff;
	--tiffany-blue: #2ec4b6ff;
	--green-yellow: #ccff66ff;
	--light-gray: #d0ccd0ff;
	--cherry-blossom-pink: #ffadc2ff;
	--platinum: #ebeaebff;
	--tea-green: #ebffc2ff;
	--silver-metallic: #afacafff;
}

* {
	box-sizing: border-box;
}

/* Main HTML5 elements for layout*/
html {
	font-size: 67.5%;
	max-width: 100%;
	overflow-x: hidden;
}

body {
	display: flex;
	flex-direction: column;
	height: 100vh;
	width: 100vw;
	margin: 0;
	font-family: 'Shippori Antique B1', sans-serif;
	font-size: 1.8em;
	padding: 10px;
}

header {

}

main {
	flex-flow: column;
	display: flex;
	overflow-y: hidden;
	margin: 0;
	padding: 0;
}

code {
	background-color: black;
	color: white;
	border: red 2px;
}

aside {
	padding: 10px;
	background: #E3A763;
	display: flex;
	width: 100%;
	flex-direction: row;

}

article {
	background: white;
	margin-left: 1em;
	overflow-y: scroll;
}

footer {
	background: darkseagreen;
	height: 10vh;
}

/* Nav menu begins here! */

nav {
	display: flex;
	flex-direction: column;
	align-items: center;
	background: var(--dark-liver);
}


nav > a {
	padding: 10px 10px;
	align-items: center;
	text-decoration: none;
	color: var(--platinum);
}


nav > a:hover {
	text-decoration: underline;
}

nav.free {
	width: fit-content;
}

/* Code for dropdown starts here! */
h1 {
	font-size: 3.2rem;
}

h2 {
	padding-top: 5rem;
	font-size: 2.7rem;
}

h3 {
	padding-top: 4rem;
	font-size: 2.2rem;
}

h4 {
	padding-top: 2rem;
	font-size: 1.7rem;
}

.panel {
	padding: 3px 20px;
	border-radius: 5px;
	border: solid;
	margin: 5px;
	width: fit-content;
}

hr.divider {
	border-top: 2px solid #3E2315;
	opacity: 40%;
}

.neutral {
	background-color: var(--platinum);
	border-color: var(--dark-liver);
}

.negative {
	background-color: var(--cherry-blossom-pink);
	border-color: var(--radical-red);
}

.positive {
	background-color: var(--tea-green);
	border-color: var(--green-yellow);
}

p {
	margin-right: 3em;
}

/*Buttons Start*/
button {
	border: transparent 3px solid;
	background-color: var(--tiffany-blue);
	padding: 8px 20px;
	font-family: inherit;
	font-size: 16px;
	border-radius: 8px;
}

button:hover, button.positive:hover, button.negative:hover button.action:hover {
	border: 3px solid black;
}

button.action {
	background-color: var(--dark-liver);
}

button.positive {
	background-color: var(--green-yellow);
}

button.negative {
	background-color: var(--radical-red);
}

/*Buttons End*/

/*Tables start*/

table {
	width: 100%;
	margin: 0;
	padding: 0;
	border-spacing: 0px 0px;

}

th {
	background-color: var(--tiffany-blue);
	text-align: left;
	border-right: solid 1px var(--dark-liver);
}

th:last-child {
	border-right: 0;
}

td {
	border-right: solid 1px var(--dark-liver);
	border-top: solid 1px var(--dark-liver);
}

td:last-child {
	border-right: 0;
}

.striped > tbody > tr:nth-child(odd) {
	background-color: var(--silver-metallic);
}

/* Forms start here */
label {
	font-size: 0.8em;
	font-family: inherit;
}
label.block {
	display: block;
}
input, select{
	font-family: inherit;
	font-size: inherit;
	background-color: var(--platinum);
	border: solid 1px var(--dark-liver);
	margin-bottom: 10px;
	border-radius: 4px;
	padding: 5px;
}

input:focus, select:focus {
	background-color: var(--silver-metallic);
}

/* Loading spinner

source: https://codepen.io/mandelid/pen/vwKoe*/

.loader {
	display: inline-block;
	width: 50px;
	height: 50px;
	border: 3px solid #000000;
	border-radius: 50%;
	border-top-color: #fff;
	animation: spin 1s ease-in-out infinite;
	-webkit-animation: spin 1s ease-in-out infinite;
}

@keyframes spin {
	to { -webkit-transform: rotate(360deg); }
}


/* Some helper classes and misc formatting*/
button.
header,
footer,
article,
nav,
aside {
	padding: 1em;
}

.full {
	width: 100%;
}

.half {
	width: 50%;
}

.small-text {
	font-size: 1.4rem;
}

.large-text {
	font-size: 1.8rem;
}

.closeButton {
	margin-left: 15px;
	color: white;
	font-weight: bold;
	float: right;
	font-size: 22px;
	line-height: 20px;
	cursor: pointer;
	transition: 0.3s;
}

@media (min-width: 576px) {
	nav {
		display: flex;
		flex-direction: row;
		justify-content: center;
		background-color: var(--dark-liver);
		text-decoration-color: blanchedalmond;
	}
}